* {
  margin: 0;
  padding: 0;
  outline: none;
  box-sizing: border-box;
}
body {
  font-size: 14px;
  font-family: "Onest", sans-serif;
}
a {
  text-decoration: none;
}
h2 {
	font-family: "Exo 2", sans-serif;
	font-weight: 800;
	font-size: 56px;
	margin: 60px 0 30px 0;
	text-transform: uppercase;
	color: #4575a1;
	line-height: 1.1;
}
h3 {
  font-family: "Exo 2", sans-serif;
	font-size: 24px;
	text-align: center;
	margin-bottom: 30px;
	font-weight: 700;
	color: #f0f8ff;
	line-height: 1.2;
}
img {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}
main {
  padding-top: 30px;
  background-color: #F2F5F9;
}
.intro {
  display: grid;
  grid-template-rows: auto 1fr auto;
  min-height: 100vh;
  min-height: 100dvh;
  justify-items: center; 
  align-items: center;
  background: radial-gradient(circle at calc(50% - 300px) 0, #ff0, #ff9509 650px);
  padding: 50px 30px 90px 30px;
}
.intro img.sv {
  margin: 20px 0;
}
.epigraph {
	display: grid;
	align-items: center;
	justify-content: center;
	min-height: 100vh;
	min-height: 100dvh;
	background-color: #75a0c6;
	font-family: "Science Gothic", sans-serif;
	font-size: 19px;
	text-transform: uppercase;
	color: #153251;
	font-weight: 300;
	text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.23);
	letter-spacing: 5px;
	text-align: center;
  line-height: 33px;
  padding: 15px;
}
.epigraph img {
  filter: drop-shadow(1px 1px 1px rgba(0, 0, 0, 0.23));
}
.shell {
  min-height: 100vh;
  min-height: 100dvh;
  background-color: #000;
	padding: 50px 0 50px 100px;
	display: grid;
	grid-template-columns: max-content;
	align-content: start;
	width: 100%;
}
.shell p {
  margin: 15px 0;
}
.shell pre, .shell p {
  font-family: "IBM Plex Mono", monospace;
  color: #50ff00;
  font-size: 17px;
  line-height: 23px;
}
.cursor {
  display: flex;
  align-items: center;
}
.cursor::after {
  content: ""; 
  width: 10px;
  height: 20px;
  background-color: #50ff00;
  animation: cursor 1s step-end infinite;
  margin-left: 10px;
}
@keyframes cursor {
  0%, 100% { opacity: 1; }
  50% { opacity: 0; }
}
.text {
	padding: 0 20px 60px 20px;
	font-size: 18px;
	line-height: 29px;
	color: #1a2831;
	display: grid;
	justify-content: center;
}
.text p {
  margin: 25px 0;
}
.text a {
	color: #00539d;
	text-decoration: underline;
	text-underline-offset: 6px;
	text-decoration-thickness: 2px;
	text-decoration-color: #0067c354;
}
.text a:hover {
  text-decoration-color: #00539d;
}
.text article {
  max-width: 950px;
}
.book {
	display: grid;
	justify-content: center;
	background-color: #206e9d;
	padding: 50px 20px;
	text-align: center;
}
.book img {
  filter: drop-shadow(0 20px 10px rgba(0, 0, 0, 0.28));
  padding: 10px;
}
footer {
	display: grid;
	justify-items: center;
	color: #fff;
	padding: 30px 15px 15px 15px;
	background: linear-gradient(#6e7f92, #323944);
	font-family: "IBM Plex Sans", sans-serif;
}
footer section {
  display: grid;
  grid-template-areas: "name  telegram"
                       "email telegram";
  align-content: start;
  justify-content: space-between;
  gap: 3px;
	width: 100%;
	max-width: 833px;
	font-size: 19px;
  font-weight: 500;
}
footer a {
	color: #c4ff2f;
	text-decoration: underline;
	text-underline-offset: 6px;
	text-decoration-thickness: 2px;
	text-decoration-color: #c4ff2f80;
}
footer a:hover {
  text-decoration-color: #c4ff2f;
}
.name {
  grid-area: name;
}
.email {
  grid-area: email;
}
a.telegram {
  grid-area: telegram;
  text-decoration: none;
}
a.telegram:hover {
  filter: drop-shadow(0 0 20px #00abff);
  transition: filter 0.15s ease-in-out;
}
img.sv_footer {
  margin: 15px 0;
}
.copyright {
	text-align: center;
	font-size: 13px;
	font-weight: 500;
	color: #d6dfff;
	line-height: 21px;
	margin-top: 15px;
}
